import "./index.css";
import ReactDOM from "react-dom";
import CardContentDeveloper from "./components/developer/card-content-developer";
import CardClickableDeveloper from "./components/developer/card-clickable-developer";
import InputDeveloper from "./components/developer/input-developer";
import ButtonDeveloper from "./components/developer/button-developer";
import TabelaDeveloper from "./components/developer/tabela-developer";
import { useState } from "react";

function App() {
  const [selectedType, setSelectedType] = useState<string>("Todos");

  const columnsContent = [
    { title: "Valor", key: "valor" },
    { title: "Tipo de movimentação", key: "typeMoviment" },
    { title: "Data / Hora", key: "dateTime" },
  ];

  const tabelaContent = [
    {
      typeMoviment: "Entrada",
      valor: 120.0,
      dateTime: "09/02/2024 - 13:50",

    },
    {
      typeMoviment: "Entrada",
      valor: 420.0,
      dateTime: "09/02/2024 - 13:50",

    },
    {
      typeMoviment: "Saida",
      valor: 620.0,
      dateTime: "09/02/2024 - 13:50",

    },
  ];

  return (
    <div className=" text-center bg-[#f2f4f7] h-screen overflow-x-auto px-5">
      <div className="h-[12px]">
        <div className="h-[12px] bg-[#3d3dff] w-full absolute left-0" />
      </div>
      <div className="flex flex-col items-start py-10">
        <h1 className="text-3xl font-bold ">Biblioteca componentes</h1>
        <p className="text-lg ">
          Esta é uma biblioteca de componentes para evostack.
        </p>
      </div>
      <div className="flex flex-col gap-20">
        {/* Botão  */}
        <div className="bg-[#d0d5dd] items-start flex py-5 px-5">
          <h1 className="text-xl font-bold ">Botão</h1>
        </div>
        <ButtonDeveloper>Button Primary</ButtonDeveloper>
        <ButtonDeveloper variant="evostackSecondary">
          Button Secondary
        </ButtonDeveloper>
        {/* Input  */}
        <div className="bg-[#d0d5dd] items-start flex py-5 px-5">
          <h1 className="text-xl font-bold ">Input</h1>
        </div>
        <InputDeveloper />
        {/* Card Content  */}
        <div className="bg-[#d0d5dd] items-start flex py-5 px-5">
          <h1 className="text-xl font-bold ">Card Content</h1>
        </div>
        <div className="flex flex-row w-full gap-5">
          <CardContentDeveloper
            index={0}
            initial="hidden"
            animate="visible"
            variants={{ hidden: { opacity: 0 }, visible: { opacity: 1 } }}
            transition={{ delay: 0, duration: 1 }}
            backgroundColor="#000"
          >
            <div className="flex flex-col gap-5">
              Card Contet Developer teste
              <ButtonDeveloper>Clique aqui</ButtonDeveloper>
            </div>
          </CardContentDeveloper>
          <CardContentDeveloper
            index={0}
            initial="hidden"
            animate="visible"
            variants={{ hidden: { opacity: 0 }, visible: { opacity: 1 } }}
            transition={{ delay: 0, duration: 1 }}
          >
            <div className="flex flex-col gap-5">
              Card Contet Developer teste
              <ButtonDeveloper>Clique aqui</ButtonDeveloper>
            </div>
          </CardContentDeveloper>
        </div>
        {/* Card Clickable  */}
        <div className="bg-[#d0d5dd] items-start flex py-5 px-5">
          <h1 className="text-xl font-bold ">Card Clickable</h1>
        </div>
        <CardClickableDeveloper
          index={0}
          transition={{ delay: 0, duration: 1 }}
        >
          <div className="w-[150px] items-center flex flex-col gap-[16px]">
            <div className="w-[56px] h-[56px] rounded-full bg-[#ebebff]"></div>
            Área PIX
          </div>
        </CardClickableDeveloper>
        {/* Tabela  */}
        <div className="bg-[#d0d5dd] items-start flex py-5 px-5">
          <h1 className="text-xl font-bold ">Tabela</h1>
        </div>
        <TabelaDeveloper
          title="Movimentações"
          subtitle="Últimos 30 dias"
          types={["Todos", "Entrada", "Saida", "Saldo Bloqueado"]}
          selectedType={selectedType}
          onTypeSelect={setSelectedType}
          columnsContent={columnsContent}
          tabelaContent={tabelaContent}
        />
      </div>
    </div>
  );
}

export {
  CardContentDeveloper,
  CardClickableDeveloper,
  InputDeveloper,
  ButtonDeveloper,
};

ReactDOM.render(<App />, document.getElementById("root"));
