import { defineConfig } from "vite"
import reactRefresh from '@vitejs/plugin-react-refresh';

export default defineConfig({
  plugins: [reactRefresh()],
  build: {
    lib: {
      entry: 'src/index.tsx',
      name: '@evostacktec/components',
    },
    rollupOptions: {
      // Make sure to externalize dependencies
      // you don't want to include in your library bundle
      external: ['react', 'react-dom'],
      output: {
        // Provide global variables to use in the UMD build
        globals: {
          react: 'React',
          'react-dom': 'ReactDOM',
        },
      },
    },
  },
})

